import React, { createContext, useState } from 'react';
import { Profile, Role } from '../types/types';

interface ContextProps {
  profile: Profile;
  setProfile: (profile: Profile) => void;
}

// Context
const initialState: Profile = {
  external_id: 'abcd',
  studentCardNumber: '1234',
  roomNumber: '104',
  picture: 'alma.jpg',
  role: Role.User,
  email: 'alma@gmail.com',
  name: 'Nagy Gizike',
  warnings: [],
};
export const userContext = createContext({} as ContextProps);
const { Provider } = userContext;

export const UserStateProvider: React.FC = ({ children }) => {
  const [profile, setProfile] = useState<Profile>(initialState);

  return <Provider value={{ profile, setProfile }}>{children}</Provider>;
};

export default { userContext, UserStateProvider };
